PDA

View Full Version : building apr 0.9.4 on fc1



lba-tech
3rd March 2006, 11:00 PM
i am on FC1 and had been upgrading for a while. i have happily used the Dag repository for a while for extras. now that the FC1 s version of apache on the fedoralegacy repository has fallen behind FC3 i have desided to pull the srpms and build from source. i get a failed test build apr


Summary: Apache Portable Runtime library
Name: apr
Version: 0.9.4
Release: 24.2

[....]

+ ./testall -v
All APR Tests:
Strings: .......
Time: .............
Versioning: ..
IP subnets: .....
MMAP: ........
User Data: ....
Table: .........
Hash: ..............
Sleep: .
Pools: .......
Formats: .......
File I/O: .....................
File Info: .....
Pipes: ......
File duplication: ....
Directory: ............
Random: .
DSO: .........
Other Child: .
Socket Creation: ......
Socket Options: ......
Process control: ...
Cross-Process Mutexes: .
Poll: ......................
Thread Locks: ...F
Threads: .....
Getopt: ......
Path names: ...........
Users: ...
Path lists: ....
Environment: ...

210 tests run: 209 passed, 1 failed, 0 not implemented.

Failed tests in Thread Locks:
1) test_timeoutcond: Timer returned too late


i am wondering if this is something that other folks have tried and whether i should forge on or find another solution...

thx

Evert
4th March 2006, 12:40 PM
http://download.fedora.redhat.com/pub/fedora/linux/core/updates/1/i386/apr-0.9.4-2.1.i386.rpm

lba-tech
4th March 2006, 01:31 PM
http://download.fedora.redhat.com/pub/fedora/linux/core/updates/1/i386/apr-0.9.4-2.1.i386.rpm

thanks for that.

i installed but

rpmbuild -bb httpd.spec
still complained that i did not have

apr-devel >= 0.9.4-20
i guess that as 0.9.4-2.1 is the latest for FC4 that i simply needed to edit the httpd.spec file to check for >= 0.9.4-2.0. which stopped the complaint.

:-)